<?php

declare(strict_types=1);

use App\AuthMiddleware;
use App\Middleware\MyMiddleware;

// Rutas públicas
$app->get('/', 'App\Controller\Home:getHelp');
$app->get('/status', 'App\Controller\Home:getStatus');
$app->post('/Login', App\Controller\User\Login::class);
$app->post('/Verify', App\Controller\User\Verify::class);
$app->post('/Query/{id}', App\Controller\Query\Sql::class);

// $app->get('/', 'App\Controller\Home:getHelp');
// $app->get('/status', 'App\Controller\Home:getStatus');

// $app->get('/User', App\Controller\User\GetAll::class)->add(new MyMiddleware());
// $app->post('/User', App\Controller\User\Create::class)->add(new MyMiddleware());
// $app->get('/User/{id}', App\Controller\User\GetOne::class)->add(new MyMiddleware());
// $app->put('/User/{id}', App\Controller\User\Update::class)->add(new MyMiddleware());
// $app->delete('/User/{id}', App\Controller\User\Delete::class)->add(new MyMiddleware());
// $app->post('/Login', App\Controller\User\Login::class)->add(new MyMiddleware());
// $app->post('/Verify', App\Controller\User\Verify::class)->add(new MyMiddleware());

$app->get('/User', App\Controller\User\GetAll::class)->add(new MyMiddleware());
$app->post('/User', App\Controller\User\Create::class)->add(new MyMiddleware());
$app->get('/User/{id}', App\Controller\User\GetOne::class)->add(new MyMiddleware());
$app->put('/User/{id}', App\Controller\User\Update::class)->add(new MyMiddleware());
$app->delete('/User/{id}', App\Controller\User\Delete::class)->add(new MyMiddleware());

$app->get('/Maestro', App\Controller\Maestro\GetAll::class)->add(new MyMiddleware());
$app->post('/Maestro', App\Controller\Maestro\Create::class)->add(new MyMiddleware());
$app->get('/Maestro/{id}', App\Controller\Maestro\GetOne::class)->add(new MyMiddleware());
$app->put('/Maestro/{id}', App\Controller\Maestro\Update::class)->add(new MyMiddleware());
$app->delete('/Maestro/{id}', App\Controller\Maestro\Delete::class)->add(new MyMiddleware());

$app->get('/Accion', App\Controller\Accion\GetAll::class)->add(new MyMiddleware());
$app->post('/Accion', App\Controller\Accion\Create::class)->add(new MyMiddleware());
$app->get('/Accion/{id}', App\Controller\Accion\GetOne::class)->add(new MyMiddleware());
$app->put('/Accion/{id}', App\Controller\Accion\Update::class)->add(new MyMiddleware());
$app->delete('/Accion/{id}', App\Controller\Accion\Delete::class)->add(new MyMiddleware());

$app->get('/TblAdmin', App\Controller\TblAdmin\GetAll::class)->add(new MyMiddleware());
$app->post('/TblAdmin', App\Controller\TblAdmin\Create::class)->add(new MyMiddleware());
$app->get('/TblAdmin/{id}', App\Controller\TblAdmin\GetOne::class)->add(new MyMiddleware());
$app->put('/TblAdmin/{id}', App\Controller\TblAdmin\Update::class)->add(new MyMiddleware());
$app->delete('/TblAdmin/{id}', App\Controller\TblAdmin\Delete::class)->add(new MyMiddleware());

$app->get('/TblAspiranteFavoritoUsuario', App\Controller\TblAspiranteFavoritoUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblAspiranteFavoritoUsuario', App\Controller\TblAspiranteFavoritoUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblAspiranteFavoritoUsuario/{id}', App\Controller\TblAspiranteFavoritoUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblAspiranteFavoritoUsuario/{id}', App\Controller\TblAspiranteFavoritoUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblAspiranteFavoritoUsuario/{id}', App\Controller\TblAspiranteFavoritoUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblAyuda', App\Controller\TblAyuda\GetAll::class)->add(new MyMiddleware());
$app->post('/TblAyuda', App\Controller\TblAyuda\Create::class)->add(new MyMiddleware());
$app->get('/TblAyuda/{id}', App\Controller\TblAyuda\GetOne::class)->add(new MyMiddleware());
$app->put('/TblAyuda/{id}', App\Controller\TblAyuda\Update::class)->add(new MyMiddleware());
$app->delete('/TblAyuda/{id}', App\Controller\TblAyuda\Delete::class)->add(new MyMiddleware());

$app->get('/TblCiudad', App\Controller\TblCiudad\GetAll::class)->add(new MyMiddleware());
$app->post('/TblCiudad', App\Controller\TblCiudad\Create::class)->add(new MyMiddleware());
$app->get('/TblCiudad/{id}', App\Controller\TblCiudad\GetOne::class)->add(new MyMiddleware());
$app->put('/TblCiudad/{id}', App\Controller\TblCiudad\Update::class)->add(new MyMiddleware());
$app->delete('/TblCiudad/{id}', App\Controller\TblCiudad\Delete::class)->add(new MyMiddleware());

$app->get('/TblContenidoTema', App\Controller\TblContenidoTema\GetAll::class)->add(new MyMiddleware());
$app->post('/TblContenidoTema', App\Controller\TblContenidoTema\Create::class)->add(new MyMiddleware());
$app->get('/TblContenidoTema/{id}', App\Controller\TblContenidoTema\GetOne::class)->add(new MyMiddleware());
$app->put('/TblContenidoTema/{id}', App\Controller\TblContenidoTema\Update::class)->add(new MyMiddleware());
$app->delete('/TblContenidoTema/{id}', App\Controller\TblContenidoTema\Delete::class)->add(new MyMiddleware());

$app->get('/TblCurso', App\Controller\TblCurso\GetAll::class)->add(new MyMiddleware());
$app->post('/TblCurso', App\Controller\TblCurso\Create::class)->add(new MyMiddleware());
$app->get('/TblCurso/{id}', App\Controller\TblCurso\GetOne::class)->add(new MyMiddleware());
$app->put('/TblCurso/{id}', App\Controller\TblCurso\Update::class)->add(new MyMiddleware());
$app->delete('/TblCurso/{id}', App\Controller\TblCurso\Delete::class)->add(new MyMiddleware());

$app->get('/TblCursoUsuario', App\Controller\TblCursoUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblCursoUsuario', App\Controller\TblCursoUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblCursoUsuario/{id}', App\Controller\TblCursoUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblCursoUsuario/{id}', App\Controller\TblCursoUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblCursoUsuario/{id}', App\Controller\TblCursoUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblDepartamento', App\Controller\TblDepartamento\GetAll::class)->add(new MyMiddleware());
$app->post('/TblDepartamento', App\Controller\TblDepartamento\Create::class)->add(new MyMiddleware());
$app->get('/TblDepartamento/{id}', App\Controller\TblDepartamento\GetOne::class)->add(new MyMiddleware());
$app->put('/TblDepartamento/{id}', App\Controller\TblDepartamento\Update::class)->add(new MyMiddleware());
$app->delete('/TblDepartamento/{id}', App\Controller\TblDepartamento\Delete::class)->add(new MyMiddleware());

$app->get('/TblHistorialEvaluaciones', App\Controller\TblHistorialEvaluaciones\GetAll::class)->add(new MyMiddleware());
$app->post('/TblHistorialEvaluaciones', App\Controller\TblHistorialEvaluaciones\Create::class)->add(new MyMiddleware());
$app->get('/TblHistorialEvaluaciones/{id}', App\Controller\TblHistorialEvaluaciones\GetOne::class)->add(new MyMiddleware());
$app->put('/TblHistorialEvaluaciones/{id}', App\Controller\TblHistorialEvaluaciones\Update::class)->add(new MyMiddleware());
$app->delete('/TblHistorialEvaluaciones/{id}', App\Controller\TblHistorialEvaluaciones\Delete::class)->add(new MyMiddleware());

$app->get('/TblModulo', App\Controller\TblModulo\GetAll::class)->add(new MyMiddleware());
$app->post('/TblModulo', App\Controller\TblModulo\Create::class)->add(new MyMiddleware());
$app->get('/TblModulo/{id}', App\Controller\TblModulo\GetOne::class)->add(new MyMiddleware());
$app->put('/TblModulo/{id}', App\Controller\TblModulo\Update::class)->add(new MyMiddleware());
$app->delete('/TblModulo/{id}', App\Controller\TblModulo\Delete::class)->add(new MyMiddleware());

$app->get('/TblModuloXUsuario', App\Controller\TblModuloXUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblModuloXUsuario', App\Controller\TblModuloXUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblModuloXUsuario/{id}', App\Controller\TblModuloXUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblModuloXUsuario/{id}', App\Controller\TblModuloXUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblModuloXUsuario/{id}', App\Controller\TblModuloXUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblNivelEducativo', App\Controller\TblNivelEducativo\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNivelEducativo', App\Controller\TblNivelEducativo\Create::class)->add(new MyMiddleware());
$app->get('/TblNivelEducativo/{id}', App\Controller\TblNivelEducativo\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNivelEducativo/{id}', App\Controller\TblNivelEducativo\Update::class)->add(new MyMiddleware());
$app->delete('/TblNivelEducativo/{id}', App\Controller\TblNivelEducativo\Delete::class)->add(new MyMiddleware());

$app->get('/TblNoticiaGenfar', App\Controller\TblNoticiaGenfar\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNoticiaGenfar', App\Controller\TblNoticiaGenfar\Create::class)->add(new MyMiddleware());
$app->get('/TblNoticiaGenfar/{id}', App\Controller\TblNoticiaGenfar\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNoticiaGenfar/{id}', App\Controller\TblNoticiaGenfar\Update::class)->add(new MyMiddleware());
$app->delete('/TblNoticiaGenfar/{id}', App\Controller\TblNoticiaGenfar\Delete::class)->add(new MyMiddleware());

$app->get('/TblNoticiaGenfarPais', App\Controller\TblNoticiaGenfarPais\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNoticiaGenfarPais', App\Controller\TblNoticiaGenfarPais\Create::class)->add(new MyMiddleware());
$app->get('/TblNoticiaGenfarPais/{id}', App\Controller\TblNoticiaGenfarPais\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNoticiaGenfarPais/{id}', App\Controller\TblNoticiaGenfarPais\Update::class)->add(new MyMiddleware());
$app->delete('/TblNoticiaGenfarPais/{id}', App\Controller\TblNoticiaGenfarPais\Delete::class)->add(new MyMiddleware());

$app->get('/TblNotificacion', App\Controller\TblNotificacion\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNotificacion', App\Controller\TblNotificacion\Create::class)->add(new MyMiddleware());
$app->get('/TblNotificacion/{id}', App\Controller\TblNotificacion\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNotificacion/{id}', App\Controller\TblNotificacion\Update::class)->add(new MyMiddleware());
$app->delete('/TblNotificacion/{id}', App\Controller\TblNotificacion\Delete::class)->add(new MyMiddleware());

$app->get('/TblNotificacionCMS', App\Controller\TblNotificacionCMS\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNotificacionCMS', App\Controller\TblNotificacionCMS\Create::class)->add(new MyMiddleware());
$app->get('/TblNotificacionCMS/{id}', App\Controller\TblNotificacionCMS\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNotificacionCMS/{id}', App\Controller\TblNotificacionCMS\Update::class)->add(new MyMiddleware());
$app->delete('/TblNotificacionCMS/{id}', App\Controller\TblNotificacionCMS\Delete::class)->add(new MyMiddleware());

$app->get('/TblNotificacionPais', App\Controller\TblNotificacionPais\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNotificacionPais', App\Controller\TblNotificacionPais\Create::class)->add(new MyMiddleware());
$app->get('/TblNotificacionPais/{id}', App\Controller\TblNotificacionPais\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNotificacionPais/{id}', App\Controller\TblNotificacionPais\Update::class)->add(new MyMiddleware());
$app->delete('/TblNotificacionPais/{id}', App\Controller\TblNotificacionPais\Delete::class)->add(new MyMiddleware());

$app->get('/TblNotificacionUsuario', App\Controller\TblNotificacionUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblNotificacionUsuario', App\Controller\TblNotificacionUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblNotificacionUsuario/{id}', App\Controller\TblNotificacionUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblNotificacionUsuario/{id}', App\Controller\TblNotificacionUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblNotificacionUsuario/{id}', App\Controller\TblNotificacionUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblOferta', App\Controller\TblOferta\GetAll::class)->add(new MyMiddleware());
$app->post('/TblOferta', App\Controller\TblOferta\Create::class)->add(new MyMiddleware());
$app->get('/TblOferta/{id}', App\Controller\TblOferta\GetOne::class)->add(new MyMiddleware());
$app->put('/TblOferta/{id}', App\Controller\TblOferta\Update::class)->add(new MyMiddleware());
$app->delete('/TblOferta/{id}', App\Controller\TblOferta\Delete::class)->add(new MyMiddleware());

$app->get('/TblPregunta', App\Controller\TblPregunta\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPregunta', App\Controller\TblPregunta\Create::class)->add(new MyMiddleware());
$app->get('/TblPregunta/{id}', App\Controller\TblPregunta\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPregunta/{id}', App\Controller\TblPregunta\Update::class)->add(new MyMiddleware());
$app->delete('/TblPregunta/{id}', App\Controller\TblPregunta\Delete::class)->add(new MyMiddleware());

$app->get('/TblPreguntasCurso', App\Controller\TblPreguntasCurso\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPreguntasCurso', App\Controller\TblPreguntasCurso\Create::class)->add(new MyMiddleware());
$app->get('/TblPreguntasCurso/{id}', App\Controller\TblPreguntasCurso\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPreguntasCurso/{id}', App\Controller\TblPreguntasCurso\Update::class)->add(new MyMiddleware());
$app->delete('/TblPreguntasCurso/{id}', App\Controller\TblPreguntasCurso\Delete::class)->add(new MyMiddleware());

$app->get('/TblOfertaFavoritaUsuario', App\Controller\TblOfertaFavoritaUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblOfertaFavoritaUsuario', App\Controller\TblOfertaFavoritaUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblOfertaFavoritaUsuario/{id}', App\Controller\TblOfertaFavoritaUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblOfertaFavoritaUsuario/{id}', App\Controller\TblOfertaFavoritaUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblOfertaFavoritaUsuario/{id}', App\Controller\TblOfertaFavoritaUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblPais', App\Controller\TblPais\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPais', App\Controller\TblPais\Create::class)->add(new MyMiddleware());
$app->get('/TblPais/{id}', App\Controller\TblPais\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPais/{id}', App\Controller\TblPais\Update::class)->add(new MyMiddleware());
$app->delete('/TblPais/{id}', App\Controller\TblPais\Delete::class)->add(new MyMiddleware());

$app->get('/TblPerfilUsuarioComunidadHigen', App\Controller\TblPerfilUsuarioComunidadHigen\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPerfilUsuarioComunidadHigen', App\Controller\TblPerfilUsuarioComunidadHigen\Create::class)->add(new MyMiddleware());
$app->get('/TblPerfilUsuarioComunidadHigen/{id}', App\Controller\TblPerfilUsuarioComunidadHigen\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPerfilUsuarioComunidadHigen/{id}', App\Controller\TblPerfilUsuarioComunidadHigen\Update::class)->add(new MyMiddleware());
$app->delete('/TblPerfilUsuarioComunidadHigen/{id}', App\Controller\TblPerfilUsuarioComunidadHigen\Delete::class)->add(new MyMiddleware());

$app->get('/TblPreguntasXUsuario', App\Controller\TblPreguntasXUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPreguntasXUsuario', App\Controller\TblPreguntasXUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblPreguntasXUsuario/{id}', App\Controller\TblPreguntasXUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPreguntasXUsuario/{id}', App\Controller\TblPreguntasXUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblPreguntasXUsuario/{id}', App\Controller\TblPreguntasXUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblPublicidad', App\Controller\TblPublicidad\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPublicidad', App\Controller\TblPublicidad\Create::class)->add(new MyMiddleware());
$app->get('/TblPublicidad/{id}', App\Controller\TblPublicidad\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPublicidad/{id}', App\Controller\TblPublicidad\Update::class)->add(new MyMiddleware());
$app->delete('/TblPublicidad/{id}', App\Controller\TblPublicidad\Delete::class)->add(new MyMiddleware());

$app->get('/TblPublicidadXUsuario', App\Controller\TblPublicidadXUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPublicidadXUsuario', App\Controller\TblPublicidadXUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblPublicidadXUsuario/{id}', App\Controller\TblPublicidadXUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPublicidadXUsuario/{id}', App\Controller\TblPublicidadXUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblPublicidadXUsuario/{id}', App\Controller\TblPublicidadXUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblPuntoVenta', App\Controller\TblPuntoVenta\GetAll::class)->add(new MyMiddleware());
$app->post('/TblPuntoVenta', App\Controller\TblPuntoVenta\Create::class)->add(new MyMiddleware());
$app->get('/TblPuntoVenta/{id}', App\Controller\TblPuntoVenta\GetOne::class)->add(new MyMiddleware());
$app->put('/TblPuntoVenta/{id}', App\Controller\TblPuntoVenta\Update::class)->add(new MyMiddleware());
$app->delete('/TblPuntoVenta/{id}', App\Controller\TblPuntoVenta\Delete::class)->add(new MyMiddleware());

$app->get('/TblReporte', App\Controller\TblReporte\GetAll::class)->add(new MyMiddleware());
$app->post('/TblReporte', App\Controller\TblReporte\Create::class)->add(new MyMiddleware());
$app->get('/TblReporte/{id}', App\Controller\TblReporte\GetOne::class)->add(new MyMiddleware());
$app->put('/TblReporte/{id}', App\Controller\TblReporte\Update::class)->add(new MyMiddleware());
$app->delete('/TblReporte/{id}', App\Controller\TblReporte\Delete::class)->add(new MyMiddleware());

$app->get('/TblRepresentante', App\Controller\TblRepresentante\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRepresentante', App\Controller\TblRepresentante\Create::class)->add(new MyMiddleware());
$app->get('/TblRepresentante/{id}', App\Controller\TblRepresentante\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRepresentante/{id}', App\Controller\TblRepresentante\Update::class)->add(new MyMiddleware());
$app->delete('/TblRepresentante/{id}', App\Controller\TblRepresentante\Delete::class)->add(new MyMiddleware());

$app->get('/TblRespuesta', App\Controller\TblRespuesta\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRespuesta', App\Controller\TblRespuesta\Create::class)->add(new MyMiddleware());
$app->get('/TblRespuesta/{id}', App\Controller\TblRespuesta\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRespuesta/{id}', App\Controller\TblRespuesta\Update::class)->add(new MyMiddleware());
$app->delete('/TblRespuesta/{id}', App\Controller\TblRespuesta\Delete::class)->add(new MyMiddleware());

$app->get('/TblRespuestasXUsuarioCurso', App\Controller\TblRespuestasXUsuarioCurso\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRespuestasXUsuarioCurso', App\Controller\TblRespuestasXUsuarioCurso\Create::class)->add(new MyMiddleware());
$app->get('/TblRespuestasXUsuarioCurso/{id}', App\Controller\TblRespuestasXUsuarioCurso\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRespuestasXUsuarioCurso/{id}', App\Controller\TblRespuestasXUsuarioCurso\Update::class)->add(new MyMiddleware());
$app->delete('/TblRespuestasXUsuarioCurso/{id}', App\Controller\TblRespuestasXUsuarioCurso\Delete::class)->add(new MyMiddleware());

$app->get('/TblRol', App\Controller\TblRol\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRol', App\Controller\TblRol\Create::class)->add(new MyMiddleware());
$app->get('/TblRol/{id}', App\Controller\TblRol\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRol/{id}', App\Controller\TblRol\Update::class)->add(new MyMiddleware());
$app->delete('/TblRol/{id}', App\Controller\TblRol\Delete::class)->add(new MyMiddleware());

$app->get('/TblRolPais', App\Controller\TblRolPais\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRolPais', App\Controller\TblRolPais\Create::class)->add(new MyMiddleware());
$app->get('/TblRolPais/{id}', App\Controller\TblRolPais\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRolPais/{id}', App\Controller\TblRolPais\Update::class)->add(new MyMiddleware());
$app->delete('/TblRolPais/{id}', App\Controller\TblRolPais\Delete::class)->add(new MyMiddleware());

$app->get('/TblRolUsuario', App\Controller\TblRolUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRolUsuario', App\Controller\TblRolUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblRolUsuario/{id}', App\Controller\TblRolUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRolUsuario/{id}', App\Controller\TblRolUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblRolUsuario/{id}', App\Controller\TblRolUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblSegmento', App\Controller\TblSegmento\GetAll::class)->add(new MyMiddleware());
$app->post('/TblSegmento', App\Controller\TblSegmento\Create::class)->add(new MyMiddleware());
$app->get('/TblSegmento/{id}', App\Controller\TblSegmento\GetOne::class)->add(new MyMiddleware());
$app->put('/TblSegmento/{id}', App\Controller\TblSegmento\Update::class)->add(new MyMiddleware());
$app->delete('/TblSegmento/{id}', App\Controller\TblSegmento\Delete::class)->add(new MyMiddleware());

$app->get('/TblSegmentoCurso', App\Controller\TblSegmentoCurso\GetAll::class)->add(new MyMiddleware());
$app->post('/TblSegmentoCurso', App\Controller\TblSegmentoCurso\Create::class)->add(new MyMiddleware());
$app->get('/TblSegmentoCurso/{id}', App\Controller\TblSegmentoCurso\GetOne::class)->add(new MyMiddleware());
$app->put('/TblSegmentoCurso/{id}', App\Controller\TblSegmentoCurso\Update::class)->add(new MyMiddleware());
$app->delete('/TblSegmentoCurso/{id}', App\Controller\TblSegmentoCurso\Delete::class)->add(new MyMiddleware());

$app->get('/TblSegmentoUsuario', App\Controller\TblSegmentoUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblSegmentoUsuario', App\Controller\TblSegmentoUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblSegmentoUsuario/{id}', App\Controller\TblSegmentoUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblSegmentoUsuario/{id}', App\Controller\TblSegmentoUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblSegmentoUsuario/{id}', App\Controller\TblSegmentoUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblRolPanel', App\Controller\TblRolPanel\GetAll::class)->add(new MyMiddleware());
$app->post('/TblRolPanel', App\Controller\TblRolPanel\Create::class)->add(new MyMiddleware());
$app->get('/TblRolPanel/{id}', App\Controller\TblRolPanel\GetOne::class)->add(new MyMiddleware());
$app->put('/TblRolPanel/{id}', App\Controller\TblRolPanel\Update::class)->add(new MyMiddleware());
$app->delete('/TblRolPanel/{id}', App\Controller\TblRolPanel\Delete::class)->add(new MyMiddleware());

$app->get('/TblSupervisor', App\Controller\TblSupervisor\GetAll::class)->add(new MyMiddleware());
$app->post('/TblSupervisor', App\Controller\TblSupervisor\Create::class)->add(new MyMiddleware());
$app->get('/TblSupervisor/{id}', App\Controller\TblSupervisor\GetOne::class)->add(new MyMiddleware());
$app->put('/TblSupervisor/{id}', App\Controller\TblSupervisor\Update::class)->add(new MyMiddleware());
$app->delete('/TblSupervisor/{id}', App\Controller\TblSupervisor\Delete::class)->add(new MyMiddleware());

$app->get('/TblSupervisorCiudad', App\Controller\TblSupervisorCiudad\GetAll::class)->add(new MyMiddleware());
$app->post('/TblSupervisorCiudad', App\Controller\TblSupervisorCiudad\Create::class)->add(new MyMiddleware());
$app->get('/TblSupervisorCiudad/{id}', App\Controller\TblSupervisorCiudad\GetOne::class)->add(new MyMiddleware());
$app->put('/TblSupervisorCiudad/{id}', App\Controller\TblSupervisorCiudad\Update::class)->add(new MyMiddleware());
$app->delete('/TblSupervisorCiudad/{id}', App\Controller\TblSupervisorCiudad\Delete::class)->add(new MyMiddleware());

$app->get('/TblTema', App\Controller\TblTema\GetAll::class)->add(new MyMiddleware());
$app->post('/TblTema', App\Controller\TblTema\Create::class)->add(new MyMiddleware());
$app->get('/TblTema/{id}', App\Controller\TblTema\GetOne::class)->add(new MyMiddleware());
$app->put('/TblTema/{id}', App\Controller\TblTema\Update::class)->add(new MyMiddleware());
$app->delete('/TblTema/{id}', App\Controller\TblTema\Delete::class)->add(new MyMiddleware());

$app->get('/TblTemaXUsuario', App\Controller\TblTemaXUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblTemaXUsuario', App\Controller\TblTemaXUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblTemaXUsuario/{id}', App\Controller\TblTemaXUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblTemaXUsuario/{id}', App\Controller\TblTemaXUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblTemaXUsuario/{id}', App\Controller\TblTemaXUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblTipo', App\Controller\TblTipo\GetAll::class)->add(new MyMiddleware());
$app->post('/TblTipo', App\Controller\TblTipo\Create::class)->add(new MyMiddleware());
$app->get('/TblTipo/{id}', App\Controller\TblTipo\GetOne::class)->add(new MyMiddleware());
$app->put('/TblTipo/{id}', App\Controller\TblTipo\Update::class)->add(new MyMiddleware());
$app->delete('/TblTipo/{id}', App\Controller\TblTipo\Delete::class)->add(new MyMiddleware());

$app->get('/TblTipoNoticiaGenfar', App\Controller\TblTipoNoticiaGenfar\GetAll::class)->add(new MyMiddleware());
$app->post('/TblTipoNoticiaGenfar', App\Controller\TblTipoNoticiaGenfar\Create::class)->add(new MyMiddleware());
$app->get('/TblTipoNoticiaGenfar/{id}', App\Controller\TblTipoNoticiaGenfar\GetOne::class)->add(new MyMiddleware());
$app->put('/TblTipoNoticiaGenfar/{id}', App\Controller\TblTipoNoticiaGenfar\Update::class)->add(new MyMiddleware());
$app->delete('/TblTipoNoticiaGenfar/{id}', App\Controller\TblTipoNoticiaGenfar\Delete::class)->add(new MyMiddleware());

$app->get('/TblTipoUsuario', App\Controller\TblTipoUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblTipoUsuario', App\Controller\TblTipoUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblTipoUsuario/{id}', App\Controller\TblTipoUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblTipoUsuario/{id}', App\Controller\TblTipoUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblTipoUsuario/{id}', App\Controller\TblTipoUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblUsuario', App\Controller\TblUsuario\GetAll::class)->add(new MyMiddleware());
$app->post('/TblUsuario', App\Controller\TblUsuario\Create::class)->add(new MyMiddleware());
$app->get('/TblUsuario/{id}', App\Controller\TblUsuario\GetOne::class)->add(new MyMiddleware());
$app->put('/TblUsuario/{id}', App\Controller\TblUsuario\Update::class)->add(new MyMiddleware());
$app->delete('/TblUsuario/{id}', App\Controller\TblUsuario\Delete::class)->add(new MyMiddleware());

$app->get('/TblValorTipo', App\Controller\TblValorTipo\GetAll::class)->add(new MyMiddleware());
$app->post('/TblValorTipo', App\Controller\TblValorTipo\Create::class)->add(new MyMiddleware());
$app->get('/TblValorTipo/{id}', App\Controller\TblValorTipo\GetOne::class)->add(new MyMiddleware());
$app->put('/TblValorTipo/{id}', App\Controller\TblValorTipo\Update::class)->add(new MyMiddleware());
$app->delete('/TblValorTipo/{id}', App\Controller\TblValorTipo\Delete::class)->add(new MyMiddleware());

$app->get('/WebInicio', App\Controller\WebInicio\GetAll::class)->add(new MyMiddleware());
$app->post('/WebInicio', App\Controller\WebInicio\Create::class)->add(new MyMiddleware());
$app->get('/WebInicio/{id}', App\Controller\WebInicio\GetOne::class)->add(new MyMiddleware());
$app->put('/WebInicio/{id}', App\Controller\WebInicio\Update::class)->add(new MyMiddleware());
$app->delete('/WebInicio/{id}', App\Controller\WebInicio\Delete::class)->add(new MyMiddleware());

$app->get('/Solicitud', App\Controller\Solicitud\GetAll::class)->add(new MyMiddleware());
$app->post('/Solicitud', App\Controller\Solicitud\Create::class)->add(new MyMiddleware());
$app->get('/Solicitud/{id}', App\Controller\Solicitud\GetOne::class)->add(new MyMiddleware());
$app->put('/Solicitud/{id}', App\Controller\Solicitud\Update::class)->add(new MyMiddleware());
$app->delete('/Solicitud/{id}', App\Controller\Solicitud\Delete::class)->add(new MyMiddleware());

$app->get('/Testimonio', App\Controller\Testimonio\GetAll::class)->add(new MyMiddleware());
$app->post('/Testimonio', App\Controller\Testimonio\Create::class)->add(new MyMiddleware());
$app->get('/Testimonio/{id}', App\Controller\Testimonio\GetOne::class)->add(new MyMiddleware());
$app->put('/Testimonio/{id}', App\Controller\Testimonio\Update::class)->add(new MyMiddleware());
$app->delete('/Testimonio/{id}', App\Controller\Testimonio\Delete::class)->add(new MyMiddleware());

$app->get('/PreguntasFrecuentes', App\Controller\PreguntasFrecuentes\GetAll::class)->add(new MyMiddleware());
$app->post('/PreguntasFrecuentes', App\Controller\PreguntasFrecuentes\Create::class)->add(new MyMiddleware());
$app->get('/PreguntasFrecuentes/{id}', App\Controller\PreguntasFrecuentes\GetOne::class)->add(new MyMiddleware());
$app->put('/PreguntasFrecuentes/{id}', App\Controller\PreguntasFrecuentes\Update::class)->add(new MyMiddleware());
$app->delete('/PreguntasFrecuentes/{id}', App\Controller\PreguntasFrecuentes\Delete::class)->add(new MyMiddleware());
